## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate curve25519-dalek

Name:           rust-curve25519-dalek
Version:        3.2.1
Release:        %autorelease
Summary:        Pure-Rust implementation of group operations on ristretto255 and Curve25519

License:        BSD-3-Clause
URL:            https://crates.io/crates/curve25519-dalek
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax zeroize dependency:
#   https://github.com/dalek-cryptography/curve25519-dalek/pull/397
# * drop features with missing dependencies
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          curve25519-dalek-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Pure-Rust implementation of group operations on ristretto255 and Curve25519.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+avx2_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+avx2_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "avx2_backend" feature of the "%{crate}" crate.

%files       -n %{name}+avx2_backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "simd_backend" feature of the "%{crate}" crate.

%files       -n %{name}+simd_backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+u32_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u32_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "u32_backend" feature of the "%{crate}" crate.

%files       -n %{name}+u32_backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+u64_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u64_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "u64_backend" feature of the "%{crate}" crate.

%files       -n %{name}+u64_backend-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 3.2.1-4
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 06 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 3.2.1-2
- Drop features with missing dependencies; Fixes: RHBZ#2104302,
  RHBZ#2104304, RHBZ#2104305

* Tue Jul 05 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1; Fixes: RHBZ#2002190, RHBZ#2002464, RHBZ#2002465

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fix unresolved package review issues.

* Sun Jul 11 2021 Robert-André Mauchin <zebob.m@gmail.com> - 3.1.0-1
- Initial package

